org.apache.ignite.internal.visor.verify

## Class VisorValidateIndexesTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorValidateIndexesTaskArg,VisorValidateIndexesTaskResult,VisorValidateIndexesJobResult>
  - - org.apache.ignite.internal.visor.verify.VisorValidateIndexesTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorValidateIndexesTaskArg>,VisorValidateIndexesTaskResult>

    @GridInternal
    public class VisorValidateIndexesTask
    extends VisorMultiNodeTask<VisorValidateIndexesTaskArg,VisorValidateIndexesTaskResult,VisorValidateIndexesJobResult>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorValidateIndexesTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<VisorValidateIndexesTaskArg,VisorValidateIndexesJobResult>` `job(VisorValidateIndexesTaskArg arg)`
`protected Collection<UUID>` `jobNodes(VisorTaskArgument<VisorValidateIndexesTaskArg> arg)`
`protected @Nullable VisorValidateIndexesTaskResult` `reduce0(List<ComputeJobResult> list)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorValidateIndexesTask

    public VisorValidateIndexesTask()

### Method Detail

#### reduce0

    @Nullable
    protected @Nullable VisorValidateIndexesTaskResult reduce0(List<ComputeJobResult> list)
                                                                  throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorValidateIndexesTaskArg,VisorValidateIndexesTaskResult,VisorValidateIndexesJobResult>`
Parameters:
  `list` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

#### job

    protected VisorJob<VisorValidateIndexesTaskArg,VisorValidateIndexesJobResult> job(VisorValidateIndexesTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorValidateIndexesTaskArg,VisorValidateIndexesTaskResult,VisorValidateIndexesJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### jobNodes

    protected Collection<UUID> jobNodes(VisorTaskArgument<VisorValidateIndexesTaskArg> arg)

Overrides:
  `jobNodes` in class `VisorMultiNodeTask<VisorValidateIndexesTaskArg,VisorValidateIndexesTaskResult,VisorValidateIndexesJobResult>`
Returns:
  Collection of nodes IDs where jobs should be mapped.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023